// To parse this JSON data, do
//
//     final landClassification = landClassificationFromJson(jsonString);

import 'dart:convert';

LandClassification landClassificationFromJson(String str) =>
    LandClassification.fromJson(json.decode(str));

String landClassificationToJson(LandClassification data) =>
    json.encode(data.toJson());

class LandClassification {
  final int? id;
  final String? classificationCode;
  final String? description;

  LandClassification({
    this.id,
    this.classificationCode,
    this.description,
  });

  LandClassification copy({
    final int? id,
    final String? classificationCode,
    final String? description,
  }) {
    return LandClassification(
        id: id ?? this.id,
        classificationCode: classificationCode ?? this.classificationCode,
        description: description ?? this.description);
  }

  factory LandClassification.fromJson(Map<String, dynamic> json) =>
      LandClassification(
        id: json["id"],
        classificationCode: json["classification_code"],
        description: json["description"],
      );

  factory LandClassification.fromJson2(Map<String, dynamic> json) =>
      LandClassification(
        id: json["id"],
        classificationCode: json["classificationCode"],
        description: json["description"],
      );

  Map<String, dynamic> toJson() => {
        "id": id,
        "classification_code": classificationCode,
        "description": description,
      };
}
